#!/bin/sh

config() {
 NEW="$1"
 OLD="`dirname $NEW`/`basename $NEW .new`"
 if [ ! -r $OLD ] ; then
  mv $NEW $OLD
  echo ""
  echo "  --> Installed new configuration file $OLD"
 elif [ "`cat $OLD 2> /dev/null | md5sum`" = "`cat $NEW 2> /dev/null | md5sum`" ] ; then
  rm -f $NEW
 else
  echo ""
  echo "  --> Installed new configuration file: $NEW"
  echo "  --> Setting ownership and permissions to match $OLD"
  cp -a $OLD $NEW.incoming
  cat $NEW > $NEW.incoming
  mv $NEW.incoming $NEW
  echo "  --> Preserving your old configuration file: $OLD"
  echo "  Please examine your existing configuration file: $OLD"
  echo "  to see if it needs to be updated from: $NEW"
  echo ""
 fi
}

config etc/man.conf.new


chmod 775 var/lib/man2html

